Package net.shibboleth.saml.saml2.profile.config

# Interface SAML2AssertionProducingProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SAMLProfileConfiguration`

public interface SAML2AssertionProducingProfileConfiguration extends SAML2ProfileConfiguration, SAMLAssertionProducingProfileConfiguration
Interface for SAML 2.0 profiles that produce assertions.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

### Fields inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`DEFAULT_ASSERTION_LIFETIME`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEncryptAssertions(ProfileRequestContext profileRequestContext)`
Gets whether assertions should be encrypted.
`boolean`
`isEncryptAttributes(ProfileRequestContext profileRequestContext)`
Gets whether attributes should be encrypted.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isIncludeConditionsNotBefore, isSignAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### isEncryptAssertions

@ConfigurationSetting(name="encryptAssertions") boolean isEncryptAssertions(@Nullable ProfileRequestContext profileRequestContext)
Gets whether assertions should be encrypted.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether assertions should be encrypted

### isEncryptAttributes

@ConfigurationSetting(name="encryptAttributes") boolean isEncryptAttributes(@Nullable ProfileRequestContext profileRequestContext)
Gets whether attributes should be encrypted.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether attributes should be encrypted